Subject: Re: [PATCH 3/14] nes: connection manager routines

From: Steve Wise <[email-masked]>
Date: Thu, 09 Aug 2007 16:06:05 -0500

Glenn Grundstrom wrote:
> This code is far from a TCP stack.  It's main purpose is to exchange
> RDMA MPA request/response messages that are required by the iWarp specs
> and therefore needed by our hardware.  All RNIC hardware vendors need
> this MPA message exchange, including those already accepted into
> kernel.org.  Do you have an alternative suggestion?
> 

For the record, the existing linux RNICS don't exactly work this way:

Ammasso handles all TCP connection setup and MPA negotiation in HW/FW. 
The connection setup interface between the RNIC and host driver are 
strictly for RDMA connections.

Chelsio has a message based interface to the HW/FW for establishing
TCP connections and exchanging data in streaming mode.  No TCP
processing is done in the driver.

Steve.